var ADOBE_ORG_ID = '05FF6243578784B37F000101@AdobeOrg';
var TRACKING_SERVER = {
  trackingServer: 'schibstedspain.d3.sc.omtrdc.net',
  trackingServerSecure: 'schibstedspain.d3.sc.omtrdc.net'
};

var getDemdex = function getDemdex() {
  return window.Visitor.getInstance(ADOBE_ORG_ID, TRACKING_SERVER);
};

var getAdobeVisitorData = function getAdobeVisitorData() {
  var demdex = getDemdex();
  var version = demdex.version;
  var trackingServer = TRACKING_SERVER.trackingServer;
  return Promise.resolve({
    trackingServer: trackingServer,
    version: version
  });
};

var getAdobeMCVisitorID = function getAdobeMCVisitorID() {
  var demdex = getDemdex();
  return new Promise(function (resolve, reject) {
    if (demdex.getMarketingCloudVisitorID()) {
      var mcvid = demdex.getMarketingCloudVisitorID();
      return resolve(mcvid);
    }

    function retry(retries) {
      if (retries === 0) {
        return resolve('');
      } else {
        if (demdex.getMarketingCloudVisitorID()) {
          var _mcvid = demdex.getMarketingCloudVisitorID();

          return resolve(_mcvid);
        } else {
          window.setTimeout(function () {
            retry(--retries);
          }, 25);
        }
      }
    }

    retry(80);
  });
};

export { getAdobeVisitorData, getAdobeMCVisitorID };